var numberOfEntries=14; // // To plithos twn orwn
var entry = new makeArray(numberOfEntries-1);
var url = new makeArray(numberOfEntries-1);
var index = new makeArray(numberOfEntries-1);

function makeArray(n) {
	this.length=n;
	for (var i=1;i<=n;i++);
		this[i]=null;
		return this;
	}




function buildTermList() {
var termlist;
var i=-1;
i=i+1;index[i]="0"; entry[i]="Επιλέξτε ένα θέμα";url[i]="";
i=i+1;index[i]="1"; entry[i]="Πως δημιουργήθηκαν τα στοιχεία;";url[i]="../bigbang.htm";
i=i+1;index[i]="2";entry[i]="Η ηλικία και τα ονόματα των αλκαλίων";url[i]="../alkanames.htm";
i=i+1;index[i]="3";entry[i]="To νάτριο και τα μπλουτζήνς" ;url[i]="../indigo.htm";
i=i+1;index[i]="4";entry[i]="Μπορούν όλα τα μέταλλα να μετατραπούν σε χρυσό;" ;url[i]="../alchemy.htm";
i=i+1;index[i]="5";entry[i]="To 'βασιλικό νερό' διαλύει αλλά και σώζει το χρυσάφι " ;url[i]="../aquaregia.htm";
i=i+1;index[i]="6";entry[i]="Oι εφαρμογές των κραμάτων";url[i]="../alloyapl.htm";
i=i+1;index[i]="7";entry[i]="Το Η2Ο και το CaCO3 κάνουν τέχνη. Η χημεία των σταλακτιτών και των σταλαγμιτών";url[i]="../stlag.htm";
i=i+1;index[i]="8";entry[i]="H κλίμακα σκληρότητας του Mohs" ;url[i]="../mohs.htm";
i=i+1;index[i]="9";entry[i]="Τα κοιτάσματα λιγνίτη στην Ελλάδα" ;url[i]="../coal.htm";
i=i+1;index[i]="10";entry[i]="Tα χρώματα του γυαλιού";url[i]="../glascolor.htm";
i=i+1;index[i]="11";entry[i]="H τέχνη της κεραμευτικής ανά τους αιώνες";url[i]="../ceramics.htm";
 i=i+1;index[i]="12";entry[i]="Πόσο πυρίτιο περιέχει ένας Η/Υ;";url[i]="../sipc.htm";
 i=i+1;index[i]="13";entry[i]="Η ηλικία και τα ονόματα των αλογόνων";url[i]="../halonames.htm";


	termlist = '<SELECT NAME=terms SIZE=1  onChange="showDef(selectedIndex)">';
	for (var i=0;i<=entry.length;i++) {
		termlist += '<OPTION VALUE="'+url[i]+'">'+entry[i]+ '</OPTION>';
		}
	termlist += "</SELECT>";
	return termlist;

	}

//displays definition on selection
function showDef(index) {
parent.frames['items'].location=url[index];
document.glossary.terms.options[0].selected=true;
	}
